# Interface IInPlaceEditorInput

All Superinterfaces:
  `IAdaptable, IEditorInput, IPathEditorInput`

All Known Implementing Classes:
  `FileInPlaceEditorInput`

public interface IInPlaceEditorInput extends IPathEditorInput
This interface defines an editor input for in-place editors.

Clients implementing this editor input interface should override `Object.equals(Object)` to answer true for two inputs that are the same. The `IWorkbenchPage.openEditor` APIs are dependent on this to find an editor with the same input.

Path-oriented editors should support this as a valid input type, and can allow full read-write editing of its content.

All editor inputs must implement the `IAdaptable` interface; extensions are managed by the platform's adapter manager.

Since:
  3.0
See Also:
  - `IInPlaceEditor`

## Method Summary

Modifier and Type
Method
Description
`void`
`setInPlaceEditor(IInPlaceEditor editor)`
Sets the in-place editor this input is associated with.

### Methods inherited from interface IAdaptable

`getAdapter`

### Methods inherited from interface IEditorInput

`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

### Methods inherited from interface IPathEditorInput

`getPath`

## Method Details

### setInPlaceEditor

void setInPlaceEditor(IInPlaceEditor editor)
Sets the in-place editor this input is associated with.

Parameters:
  `editor` - the in-place editor associated with this input or `null` to disassociate.